Panda3D

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
SparkleParticleRenderer Class Reference

pretty sparkly things. More...

`#include "sparkleParticleRenderer.h"`

Inheritance diagram for SparkleParticleRenderer:

## Public Types
enum | SparkleParticleLifeScale { SP_NO_SCALE , SP_SCALE }
Public Types inherited from BaseParticleRenderer
enum | ParticleRendererAlphaMode { PR_ALPHA_NONE , PR_ALPHA_OUT , PR_ALPHA_IN , PR_ALPHA_IN_OUT , PR_ALPHA_USER , PR_NOT_INITIALIZED_YET }
enum | ParticleRendererBlendMethod { PP_NO_BLEND , PP_BLEND_LINEAR , PP_BLEND_CUBIC }

## Public Member Functions
| SparkleParticleRenderer ()
| Default Constructor.
| SparkleParticleRenderer (const LColor &center, const LColor &edge, PN_stdfloat birth_radius, PN_stdfloat death_radius, SparkleParticleLifeScale life_scale, ParticleRendererAlphaMode alpha_mode)
| Constructor.
| SparkleParticleRenderer (const SparkleParticleRenderer &copy)
| Copy Constructor.
virtual | ~SparkleParticleRenderer ()
| Destructor.
PN_stdfloat | get_birth_radius () const
const LColor & | get_center_color () const
PN_stdfloat | get_death_radius () const
const LColor & | get_edge_color () const
SparkleParticleLifeScale | get_life_scale () const
virtual BaseParticleRenderer * | make_copy ()
| child virtual for spawning systems
virtual void | output (std::ostream &out) const
| Write a string representation of this instance to <out>.
void | set_birth_radius (PN_stdfloat radius)
void | set_center_color (const LColor &c)
void | set_death_radius (PN_stdfloat radius)
void | set_edge_color (const LColor &c)
void | set_life_scale (SparkleParticleLifeScale)
virtual void | write (std::ostream &out, int indent_level=0) const
| Write a string representation of this instance to <out>.
Public Member Functions inherited from BaseParticleRenderer
virtual | ~BaseParticleRenderer ()
| Destructor.
ParticleRendererAlphaMode | get_alpha_mode () const
bool | get_ignore_scale () const
| Returns the "ignore scale" flag.
GeomNode * | get_render_node () const
| Query the geomnode pointer.
NodePath | get_render_node_path () const
| Query the geomnode pointer.
PN_stdfloat | get_user_alpha () const
| gets alpha for "user" alpha mode
void | set_alpha_mode (ParticleRendererAlphaMode am)
void | set_color_blend_mode (ColorBlendAttrib::Mode bm, ColorBlendAttrib::Operand oa=ColorBlendAttrib::O_zero, ColorBlendAttrib::Operand ob=ColorBlendAttrib::O_zero)
| sets the ColorBlendAttrib on the _render_node
void | set_ignore_scale (bool ignore_scale)
| Sets the "ignore scale" flag.
void | set_user_alpha (PN_stdfloat ua)
| sets alpha for "user" alpha mode
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Additional Inherited Members
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Detailed Description

pretty sparkly things.

Definition at line 34 of file sparkleParticleRenderer.h.

## Member Enumeration Documentation

## ◆ SparkleParticleLifeScale

enum SparkleParticleRenderer::SparkleParticleLifeScale

Definition at line 36 of file sparkleParticleRenderer.h.

## Constructor & Destructor Documentation

## ◆ SparkleParticleRenderer() [1/3]

SparkleParticleRenderer::SparkleParticleRenderer | ( |  | ) |

Default Constructor.

Definition at line 27 of file sparkleParticleRenderer.cxx.

Referenced by SparkleParticleRenderer(), and make_copy().

## ◆ SparkleParticleRenderer() [2/3]

SparkleParticleRenderer::SparkleParticleRenderer | ( | const SparkleParticleRenderer & | copy | ) |

Copy Constructor.

Definition at line 55 of file sparkleParticleRenderer.cxx.

References SparkleParticleRenderer().

## ◆ SparkleParticleRenderer() [3/3]

SparkleParticleRenderer::SparkleParticleRenderer | ( | const LColor & | center,
|  | const LColor & | edge,
|  | PN_stdfloat | birth_radius,
|  | PN_stdfloat | death_radius,
|  | SparkleParticleLifeScale | life_scale,
|  | ParticleRendererAlphaMode | alpha_mode )
| explicit

Constructor.

Definition at line 40 of file sparkleParticleRenderer.cxx.

## ◆ ~SparkleParticleRenderer()

SparkleParticleRenderer::~SparkleParticleRenderer | ( |  | ) |
| virtual

Destructor.

Definition at line 70 of file sparkleParticleRenderer.cxx.

## Member Function Documentation

## ◆ get_birth_radius()

PN_stdfloat SparkleParticleRenderer::get_birth_radius | ( |  | ) | const
| inline

Definition at line 81 of file sparkleParticleRenderer.I.

## ◆ get_center_color()

const LColor & SparkleParticleRenderer::get_center_color | ( |  | ) | const
| inline

Definition at line 57 of file sparkleParticleRenderer.I.

## ◆ get_death_radius()

PN_stdfloat SparkleParticleRenderer::get_death_radius | ( |  | ) | const
| inline

Definition at line 89 of file sparkleParticleRenderer.I.

## ◆ get_edge_color()

const LColor & SparkleParticleRenderer::get_edge_color | ( |  | ) | const
| inline

Definition at line 65 of file sparkleParticleRenderer.I.

## ◆ get_life_scale()

SparkleParticleRenderer::SparkleParticleLifeScale SparkleParticleRenderer::get_life_scale | ( |  | ) | const
| inline

Definition at line 73 of file sparkleParticleRenderer.I.

## ◆ make_copy()

BaseParticleRenderer * SparkleParticleRenderer::make_copy | ( |  | ) |
| virtual

child virtual for spawning systems

Implements BaseParticleRenderer.

Definition at line 77 of file sparkleParticleRenderer.cxx.

References SparkleParticleRenderer().

## ◆ output()

void SparkleParticleRenderer::output | ( | std::ostream & | out | ) | const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from BaseParticleRenderer.

Definition at line 264 of file sparkleParticleRenderer.cxx.

## ◆ set_birth_radius()

void SparkleParticleRenderer::set_birth_radius | ( | PN_stdfloat | radius | ) |
| inline

Definition at line 41 of file sparkleParticleRenderer.I.

## ◆ set_center_color()

void SparkleParticleRenderer::set_center_color | ( | const LColor & | c | ) |
| inline

Definition at line 17 of file sparkleParticleRenderer.I.

## ◆ set_death_radius()

void SparkleParticleRenderer::set_death_radius | ( | PN_stdfloat | radius | ) |
| inline

Definition at line 49 of file sparkleParticleRenderer.I.

## ◆ set_edge_color()

void SparkleParticleRenderer::set_edge_color | ( | const LColor & | c | ) |
| inline

Definition at line 25 of file sparkleParticleRenderer.I.

## ◆ set_life_scale()

void SparkleParticleRenderer::set_life_scale | ( | SparkleParticleRenderer::SparkleParticleLifeScale | ls | ) |
| inline

Definition at line 33 of file sparkleParticleRenderer.I.

## ◆ write()

void SparkleParticleRenderer::write | ( | std::ostream & | out,
|  | int | indent_level = 0 ) const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from BaseParticleRenderer.

Definition at line 274 of file sparkleParticleRenderer.cxx.

References indent(), and BaseParticleRenderer::write().

The documentation for this class was generated from the following files:

- panda/src/particlesystem/sparkleParticleRenderer.h
- panda/src/particlesystem/sparkleParticleRenderer.cxx
- panda/src/particlesystem/sparkleParticleRenderer.I